<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/home.css') }}">
    <title>Home Page</title>

    <style>
        .section {
            display: none;
        }

        .active {
            display: block;
        }
    </style>

    <script>
        function toggleSection(sectionId) {
            var sections = document.getElementsByClassName("section");
            for (var i = 0; i < sections.length; i++) {
                sections[i].classList.remove("active");
            }

            var section = document.getElementById(sectionId);
            if (section) {
                section.classList.add("active");
            }
        }
    </script>
</head>
<body>
    <div>
        <h1>Welcome, {{ username }}!</h1>
        <img src="https://pbs.twimg.com/profile_images/1590779623532646401/LkMaL17H_400x400.jpg" alt="Logo" style="width:75px; height:75px; text-align: -moz-left">
        <p>This is the home page.</p>
        <div class="logout-container">
            <a href="/logout">Logout</a>
        </div>
    </div>

    <button class="my-button" onclick="toggleSection('nodeSection')">Node</button>
    <button class="my-button" onclick="toggleSection('webhookDataSection')">Webhook</button>


    <div id="nodeSection" class="section">
        <h1>Latest Node Updates:</h1>
        <div>
            <ul>
                {% for data in node_data %}
                <li>name: {{ data["name"] }}</li>
                <li>monitoredUrl: <a href="{{ data['monitoredUrl'] }}">{{ data["monitoredUrl"] }}</a></li>
                <li>detected_change: <a href="{{ data['diff_data']}}">{{ data["diff_data"] }}</a></li>
                <li>date: {{ data["date"] }} </li>
                <hr>
                {% endfor %}
            </ul>
        </div>
    </div>

    <div id="webhookDataSection" class="section active">
        <h1>Exchange Updates:</h1>
        <div>
            <ul>
                {% for data in exchange_data %}
                <li>name: {{ data["name"] }}</li>
                <li>monitoredUrl: <a href="{{ data['monitoredUrl'] }}">{{ data["monitoredUrl"] }}</a></li>
                <li>detected_change: <a href="{{ data['diff_data']}}">{{ data["diff_data"] }}</a></li>
                <li>date: {{ data["date"] }} </li>
                <hr>
                {% endfor %}
            </ul>
        </div>
    </div>
</body>
</html>
